## Data Structures and algorithms
1. Cops Potw
2. Geeks for Geeks
3. Handbook of competetive programming
4. cp-algorithms
---
## Dbms
1. Geeks for geeks
2. slides
3. interviewbit
---
## OOPS
1. gfg
2. interviewbit
---
## Os
1. gfg
2. book
---
